Skip to main content

Definition

Shared request and response schema. Request: Data accepted by Execute Ontology Request. The required field is from. Response: Fields that define Definition. The required field is from.

from objectrequired

Where a definition starts: one type (entity or relation) and, optionally, the rows to start from. anchors are {column: value} maps that name every key column of the type (compile checks); extra columns are only meaningful under upsert, where the anchor row is the row written.

entity object

EntityType id

anyOf
string
relation object

RelationType id

anyOf
string
anchors object

Start rows as {key column: value} maps

anyOf
  • Array [
  • property name*any
  • ]
  • ops object[]
  • Array [
  • where object
    anyOf
    object
    traverse object
    anyOf
    string
    direction object
    anyOf
    string

    Possible values: [out, in]

    depth object
    anyOf
    integer

    Possible values: >= 1

    to object
    anyOf
    string
    Constant value: link
    alias object
    anyOf
    string

    Possible values: non-empty

    union object
    anyOf
    intersect object
    anyOf
    subtract object
    anyOf
    derive object
    anyOf
    object
  • ]
  • caps object
    anyOf
    depth object
    anyOf
    integer

    Possible values: >= 1

    frontier_per_level object
    anyOf
    integer

    Possible values: >= 1

    max_nodes object
    anyOf
    integer

    Possible values: >= 1

    max_edges object
    anyOf
    integer

    Possible values: >= 1

    intermediate object
    anyOf
    integer

    Possible values: >= 1

    matching object
    anyOf
    integer

    Possible values: >= 1

    pin object
    anyOf
    txn objectrequired
    anyOf
    integer
    versions object
    anyOf
    object
    Definition
    {
    "from": {
    "entity": "string",
    "relation": "string",
    "anchors": [
    {}
    ]
    },
    "ops": [
    {
    "where": {},
    "traverse": "string",
    "direction": "out",
    "depth": 0,
    "to": "link",
    "alias": "string",
    "derive": {}
    }
    ],
    "caps": {
    "depth": 0,
    "frontier_per_level": 0,
    "max_nodes": 0,
    "max_edges": 0,
    "intermediate": 0,
    "matching": 0
    },
    "pin": {
    "txn": 0,
    "versions": {}
    }
    }